Bug 110637 - ps does not display child threads called from pthread_create
Summary: ps does not display child threads called from pthread_create
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: procps (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 23:03 UTC by Hugh G. Rection
Modified: 2007-04-18 16:59 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 15:26:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Hugh G. Rection 2003-11-21 23:03:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031117 Firebird/0.7

Description of problem:
$ uname -a
Linux rh9 2.4.20-20.9 #1 Mon Aug 18 11:45:58 EDT 2003 i686 i686 i386
GNU/Linux

it seems with this version of the kernel pthread childern show up
under /proc/.<pid> , ps does not report information about these pids.
 top will display the pids if the "H" option is used.

Version-Release number of selected component (if applicable):
2.0.11-6

How reproducible:
Always

Steps to Reproduce:
1. find a pid in /proc/.<pid>
2. ps -eaf |grep <pid>

Additional info:

Comment 1 Hugh G. Rection 2003-11-24 15:26:01 UTC
I will rtfm myself.

ps -eamf shows all parent and child threads.


Note You need to log in before you can comment on or make changes to this bug.